import { Toaster } from "@/components/(dashboard)/ui/toaster"
import AppContextProvider from "@/helpers/context/AppContextProvider"
import { Suspense } from "react"

const RootLayout :React.FC<{
  children :React.ReactNode
}> = ({
  children
}) => {
  return(
    <>
      <Suspense>
        <AppContextProvider>
          {children}
        </AppContextProvider>
        <Toaster />
      </Suspense>
    </>
  )
}

export default RootLayout