import { routes } from "@/lib/routes";
import {
  Users,
  Settings,
  LayoutGrid,
  LucideIcon,
  Warehouse,
  Building,
} from "lucide-react";

type Submenu = {
  href: string;
  label: string;
  active?: boolean;
};

type Menu = {
  href: string;
  label: string;
  active?: boolean;
  icon: LucideIcon;
  submenus?: Submenu[];
};

type Group = {
  groupLabel: string;
  menus: Menu[];
};

export function getMenuList(): Group[] {
  return [
    {
      groupLabel: "",
      menus: [
        {
          href: routes.DASHBOARD_ROUTE,
          label: "Dashboard",
          icon: LayoutGrid,
        }
      ]
    },
    {
      groupLabel: "Contents",
      menus: [
        {
          href: "",
          label: "Users",
          icon: Users,
          submenus: [
            {
              href: routes.USER_INDEX_PAGE,
              label: "All Users"
            },
            
          ]
        },
        {
          href : '' ,
          label : 'Courses' , 
          icon : Warehouse ,
          submenus : [
            {
              label : 'All Courses' ,
              href : routes.COURSE_INDEX_PAGE
            } ,
            {
              label : 'All Categories' ,
              href : routes.CATEGORY_INDEX_PAGE 
            } ,
          ]
        }

      ]
    },
  ];
}